<!DOCTYPE html>
<html>
  <head>
    <title>Parcel Sandbox</title>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  </head>

  <body>
    <div id="popup" class="end-game-popup__container--hidden">
        <div class="end-game-popup">
            <h1 id="popup-label"></h1>
            <button class="primary-button" id="popup-action">Rematch!</button>
        </div>
    </div>

    <header id="page-header" class="header--transparent">
      <div class="header-container container">
        <img
          class="header-logo"
          src="src/assets/images/SWORD_Health_logo.svg"
        />
        <div class="header-exercise-title">
          <strong>Frontend developer</strong><i>Challenge</i>
        </div>
      </div>
    </header>

    <main>
      <section class="candidate-header container">
        <img src="src/assets/images/candidate_photo.png" />
        <div class="candidate-info">
          <h1>Luís Gouveia</h1>
          <span>Age: 23</span>
          <span>Location: Porto</span>
          <span>Occupation: Frontend Developer</span>
        </div>
        <div class="candidate-bio">
          <span>About me:</span>
          <span class="candidate-bio__text">
            I am a front end developer with about 2 years of experience. I've
            been using primarily Vue.js to develop web applications, but I have
            also recently started developing with React on some non-work related
            projects.</br>I consider myself to
            be a fast-learner and a knowledge-driven person. A culture of great
            team work and strong communication, where I can learn something with
            everyone, is one of the things I value the most in a workplace
            environment.
          </span>
        </div>
      </section>
      <section class="game" id="game">
        <div class="section-header">
          <h2>Tic tac toe games</h2>
          <span>Welcome to best game in the world.</span>

          <select class="game-size-select" onchange="window.app.changeBoardSize(Number(this.value))">
            <option value="3">3x3</option>
            <option value="6">6x6</option>
            <option value="9">9x9</option>
          </select>
        </div>
        <div class="game-grid container">
          <div class="player-counter player-1">
            <h2>Player 1</h2>
            <span id="player-1-win-count">0</span>
          </div>
          <div class="board" id="board-table"></div>
          <div class="player-counter player-2">
            <h2>Player 2</h2>
            <span id="player-2-win-count">0</span>
          </div>
          <div class="timer" id="round-timer">00:00:00</div>
        </div>
      </section>

      <section id="stats" class="container">
        <div class="section-header">
            <h2>Awesome statistics</h2>
            <span>All statistics in one place!</span>
        </div>
        <div class="statistics">
            <div class="statistics-container">
                <h3>Game victories %</h3>
                <div class="player-winner-percentages">
                  <div class="player-container">
                      <p>Player 1</p>
                      <div class="side-by-side-container">
                        <span id="player-1-win-percentage" class="circle">0%</span>
                        <span id="player-1-loss-percentage" class="circle">0%</span>
                      </div>
                      <div class="side-by-side-container labels">
                        <span>V</span>
                        <span>L</span>
                      </div>
                    </div>
                    <div class="player-container">
                        <p>Player 2</p>
                        <div class="side-by-side-container">
                          <span id="player-2-win-percentage" class="circle">0%</span>
                          <span id="player-2-loss-percentage" class="circle">0%</span>
                        </div>
                        <div class="side-by-side-container labels">
                          <span>V</span>
                          <span>L</span>
                        </div>
                      </div>
                </div>
            </div>
            <div class="statistics-container">
                <h3>Played matches</h3>
                <div class="played-matches matches-indicator-container">
                    <div class="played-matches__match-container"></div>
                    <div class="played-matches__match-container"></div>
                    <div class="played-matches__match-container"></div>
                    <div class="played-matches__match-container"></div>
                    <div class="played-matches__match-container"></div>
                    <div class="played-matches__match-container"></div>
                    <div class="played-matches__match-container"></div>
                    <div class="played-matches__match-container"></div>
                    <div class="played-matches__match-container"></div>
                </div>
                <h3>Game history</h3>
                <div class="game-history matches-indicator-container">
                    <div class="game-history__match-container"></div>
                    <div class="game-history__match-container"></div>
                    <div class="game-history__match-container"></div>
                    <div class="game-history__match-container"></div>
                    <div class="game-history__match-container"></div>
                    <div class="game-history__match-container"></div>
                    <div class="game-history__match-container"></div>
                    <div class="game-history__match-container"></div>
                    <div class="game-history__match-container"></div>
                </div>
                
            </div>
        </div>
        <div class="total-time">
            <h3>Total time</h3>
            <div class="timer" id="total-time-label">00:00:00</div>
            <button id="reboot-game-button" class="primary-button hidden" onclick="window.app.rebootGame()">Let's start over</button>
        </div>
        
        </section>
    </main>
    <footer class="footer">
      <div class="footer-container container">
        <div class="footer-info">
          <h3>About page</h3>
          <p>Play tic-tac-toe or 4-in-a-row anytime!</p>
          <p>Created by @luisgouveia</p>
        </div>
        <div class="footer-info">  
          <h3>Contacts</h3>
          <p>(+351) 123 456 789</p>
          <p>Rua Sá da Bandeira, 111, Porto</p></div>
        <div class="footer-info">
            <h3>Stay in touch</h3>
            <div class="social-media-links">
                <a href="http://www.facebook.com/SWORDHealth1">
                    <img width="24" height="24" alt="facebook" src="src/assets/images/facebook.svg"/>
                  </a>
                <a href="http://www.facebook.com/swordhealth">
                    <img width="24" height="24" alt="twitter" src="src/assets/images/twitter.svg"/>
                  </a>
                <a href="http://www.instagram.com">
                    <img width="24" height="24" alt="instagram" src="src/assets/images/instagram.svg"/>
                  </a>
    
            </div>
            <div class="subscribe-input">
                <input  placeholder="Subscribe our games">
                <button><img width="24" height="24" src="src/assets/images/send.svg"></button>
            </div>
                 
        </div>
      </div>

    </footer>
    <script src="src/index.js"></script>
  </body>
</html>
